#include <iostream>

using namespace std;

int main()
{
    int N, S;
    cin >> N >> S;

    for (int i = 1; i <= N; i++) {
        int h;
        cin >> h;

        if (h < S) {
            cout << i << endl;
            return 0;
        }
    }
    cout << -1 << endl;
    return 0;
}